.wrapper {
    .main-header {
        position: fixed;
        top: 0;
        left: 0;
        width: calc(100% - 255px);
        max-width: 100vw;
        height: var(--default-layout-header-height);
        box-shadow: 0px 1px 1px rgb(0 0 0 / 12%);
        background-color: var(--white);
        display: flex;
        justify-content: center;
        margin-left: 255px;
        transition: 0.3s;
        z-index: 1;
    }
}
.main-header {
    .main-header-right {
        width: 100%;
        height: 100%;
        display: flex;
        align-items: center;
        padding: 0 40px;
        margin: 0;
        li {
            display: inline-block;
            position: relative;
        }
    }
    .nav-right {
        > ul {
            display: flex;
            justify-content: flex-end;
            align-items: center;
        }
    }
}
.nav-right {
    text-align: right;
    padding-left: 0px;
}
// svg
.main-header-right {
    svg {
        color: var(--theme-color);
    }
    .notification-dropdown {
        top: 57px;
    }
}

// ul - li
.main-header-right {
    ul {
        li {
            display: inline-block;
            position: relative;
            padding: 0 20px;
            border-left: 1px solid #eff0f1;

            svg {
                margin-top: 10px;
                width: 18px;
                height: 18px;
            }
            h6 {
                margin-top: 4px;
                margin-bottom: 4px;
                color: var(--theme-color);
            }
            &:first-child{
                width: 25%;
                border-left: none;
            }
            &:nth-child(5) {
                border-left: none;
                border-right: 1px solid #eff0f1;
                padding-left: 0;
            }
            &:last-child {
                border-left: none;
                padding-right: 0;
            }
        }
    }
}
.main-header-right > ul > li {
    &:first-child {
        width: 25%;
        border-left: none;
    }
}
.nav-menus {
    .onhover-dropdown {
        cursor: pointer;
        position: relative;
    }
    .notification-badge {
        position: absolute;
        right: 10px;
        top: 1px;
        padding: 4px 7px;
    }
    .dot {
        width: 3px;
        height: 3px;
        border-radius: 30px;
        background-color: #ff8084;
        position: absolute;
        right: 17px;
        bottom: 6px;
        -webkit-animation: blink 1.5s infinite;
        animation: blink 1.5s infinite;
    }
}
.switch {
    width: 25px;
    height: 16px;
    margin-top: 10px;
    margin-bottom: 0;
} 
ul.notification-dropdown.onhover-show-div {
    li {
        span {
            svg {
                margin-top: 0 !important;
                margin-right: 10px;
                vertical-align: text-top;
            }
        }
        p {
            margin-left: 30px;
        }
    }
}
// dotanimation

.dotted-animation {
    position: relative;
    right: -3px;
    top: -7px;
}

.dotted-animation {
    .animate-circle {
        position: absolute;
        top: -30px;
        right: -4px;
        height: 25px;
        width: 25px;
        z-index: 10;
        border: 5px solid #ff8084;
        border-radius: 70px;
        -webkit-animation: heartbeat 1s ease-out;
        animation: heartbeat 1s ease-out;
        -webkit-animation-iteration-count: infinite;
        animation-iteration-count: infinite;
    }
    .main-circle {
        width: 6px;
        height: 6px;
        border-radius: 30px;
        background-color: #ff8084;
        position: absolute;
        right: 6px;
        top: -20px;
    }
}


// notification
.onhover-show-div {
    top: 80px;
    position: absolute;
    z-index: 8;
    background-color: #fff;
    -webkit-transition: all 0.3s linear;
    transition: all 0.3s linear;
    box-shadow: 0 0 2px 2px #f8f8f9;
    &::before {
        width: 0;
        height: 0;
        border-left: 7px solid transparent;
        border-right: 7px solid transparent;
        content: '';
        top: -7px;
        position: absolute;
        left: 10px;
    }
    &::after {
        border-bottom: 7px solid #898989;
        z-index: 1;
    }
}
.p-0 {
    padding: 0;
}
.mb-0,
.my-0 {
    margin-bottom: 0 !important;
}
ul {
    .notification-dropdown {
        width: 330px;
        right: -18px;
        left: auto;
        li {
            display: block;
            padding: 12px 20px;
            border-bottom: 1px solid #f8f8f9;
            text-align: left;
        }
    }
}
.media {
    display: flex;
    align-items: flex-start;
}
ul.notification-dropdown.onhover-show-div {
    li {
        display: block;
        padding: 12px 20px;
        border-bottom: 1px solid #f8f8f9;
        text-align: left;
    }
}
@media only screen and (max-width: 1366px) {
    .main-header-right {
        li {
            &:first-child {
                width: 32%;
                border-left: none;
            }
        }
    }
}
@keyframes heartbeat {
    0% {
        transform: scale(0);
        opacity: 0;
    }
    25% {
        transform: scale(0.1);
        opacity: 0.1;
    }
    50% {
        transform: scale(0.5);
        opacity: 0.3;
    }
    75% {
        transform: scale(0.8);
        opacity: 0.5;
    }
    100% {
        transform: scale(1);
        opacity: 0;
    }
}
@keyframes blink {
    0% {
        opacity: 1;
    }
    70% {
        opacity: 1;
    }
    80% {
        opacity: 0;
    }
    100% {
        opacity: 0;
    }
}
